%define lname mhwaveedit
Summary: graphical program for editing, playing and recording sound files. 
Name: mhWaveEdit
Version: 1.4.15
Release: alt1
License: GPL
Group: System/Servers
URL: https://gna.org/projects/mhwaveedit/
Source0: %lname-%version.tar.bz2
#Source1: %name.init
#Patch0: %name.patch
Packager: Mikhail A Pokidko <pma@altlinux.org>


# Automatically added by buildreq on Mon May 26 2008
BuildRequires: esound-devel ladspa_sdk libSDL-devel libarts-devel libgtk+2-devel libportaudio-devel libsamplerate-devel libsndfile-devel

%description
mhWaveEdit is a graphical program for editing, playing and recording sound files. It is lightweight, portable, user-friendly and handles large files very well.
The program itself has only simple editing features such as cut'n'paste and volume adjustment but it can also use Ladspa effect plugins and the effects 
provided by the SoX application. It can also support additional file formats besides wav through libsndfile and mp3/ogg import and export through lame and 
oggenc/oggdec. 


%prep
%setup -q -n %lname-%version

%build
%configure
%make_build

#--without-portaudio
#--without-sdl
#--without-alsalib
#--without-oss
#--without-jack
#Specifying this option will leave out a sound driver, even if
#it's libs and headers are found.
#    
#--without-libsndfile
#--without-libsamplerate
#Specifying this option will leave out libsndfile/libsamplerate
#support, even if the library is found.
#--with-libsndfile=prefix
#--with-libsamplerate=prefix
#This lets you specify the prefix where libsndfile/libsamplerate is
#installed if it wasn't auto-detected.
#--with-double-samples
#Use double precision floating point numbers for sample processing. If
#you intend to edit 32-bit files, you should enable this.
#--without-check-casts
#This option disables the run-time type cast checking. It makes some parts of
#the program faster, but makes it harder to debug.

%install
%make_install DESTDIR="%buildroot" install

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/applications/%lname.desktop
%_datadir/pixmaps/%lname.xpm


%changelog
* Mon May 26 2008 Mikhail Pokidko <pma@altlinux.org> 1.4.15-alt1
- Initial ALT build

